Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/newSearchPage.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/newSearchPage.component.ts	(revision 58104)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/newSearchPage.component.ts	(revision 58105)
@@ -16,6 +16,7 @@
 import {HelperService} from "../../utils/helper/helper.service";
 import {SearchFields} from "../../utils/properties/searchFields";
 import {RefineResultsUtils} from "../../services/servicesUtils/refineResults.class";
+import {RangeFilter} from "../../utils/rangeFilter/rangeFilterHelperClasses.class";
 
 @Component({
   selector: 'new-search-page',
@@ -45,18 +46,22 @@
   @Input() sort: boolean = false;
   @Input() searchFormClass: string = "searchForm";
   //From simple:
+  @Input() rangeFilters: RangeFilter[] = [];
+  @Input() rangeFields: string[][] = [];
   @Input() refineFields = [];
   @Input() filters = [];
   selectedFilters: number = 0;
+  selectedRangeFilters: number = 0;
   private searchFieldsHelper: SearchFields = new SearchFields();
   @Input() newQueryButton: boolean = true;
   public showUnknownFilters: boolean = false; // when a filter exists in query but has no results, so no filters returned from the query
   URLCreatedFilters: Filter[] = [];
+  URLCreatedRangeFilters: RangeFilter[] = [];
   @Input() showRefine: boolean = true;
   @Input() tableViewLink: string;
   @Input() usedBy: string = "search";
   @Input() showResultCount: boolean = true;
-  @Input() showMoreFilterValuesInline: boolean = false;
+  @Input() showMoreFilterValuesInline: boolean = true;
   @Input() filterValuesNum: number = 5;
   @Input() keywordFields = [];
   @Input() simpleView: boolean = true;
@@ -170,9 +175,19 @@
       }
     }
     this.selectedFilters = 0;
+//<<<<<<< .mine
+
+    for(let i = 0; i < this.rangeFilters.length; i++) {
+      this.rangeFilters[i].selectedFromValue = null;
+      this.rangeFilters[i].selectedToValue = null;
+    }
+    this.selectedRangeFilters = 0;
+//||||||| .r58066
+//=======
     if (this.quickFilter) {
       this.removeValueFromQuickFilter();
     }
+//>>>>>>> .r58095
     this.goTo(1);
     // this.clearKeywords();
   }
@@ -179,7 +194,7 @@
 
   goTo(page: number = 1) {
     this.searchUtils.page = page;
-    this.buildPageURLParameters(this.filters, true);
+    this.buildPageURLParameters(this.filters, this.rangeFilters, true);
     this.router.navigate([this.searchUtils.baseUrl], {queryParams: this.routerHelper.createQueryParams(this.parameterNames, this.parameterValues)});
     /* Code For Piwik*/
     if (typeof localStorage !== 'undefined') {
@@ -320,6 +335,69 @@
   }
 
   /*
+* Mark as check the new range filters that are selected
+*/
+  public checkSelectedRangeFilters(filters: RangeFilter[]) {
+    //console.log("checkSelectedRangeFilters: parameterNames.length: "+this.parameterNames.length);
+
+    this.rangeFilters = filters;
+    for (let i = 0; i < filters.length; i++) {
+      let filter: RangeFilter = filters[i];
+
+      if (this.parameterNames.indexOf(filter.filterId) != -1) {
+        //console.log(filter.filterId + " "+this.parameterNames.indexOf(filter.filterId) );
+        let values = (decodeURIComponent(this.parameterValues[this.parameterNames.indexOf(filter.filterId)])).split(/,(?=(?:[^\"]*\"[^\"]*\")*[^\"]*$)/, -1);
+        let operators: string [] = (StringUtils.URIDecode(this.parameterValues[this.parameterNames.indexOf(filter.filterId)])).split(/,(?=(?:[^\"]*\"[^\"]*\")*[^\"]*$)/, -1);
+        if (values.length == operators.length) {
+          for (let j = 0; j < values.length; j++) {
+            if (this.fieldIdsMap[filter.originalFilterIdFrom+"-range-"+filter.originalFilterIdTo].filterType == "range") {
+              let value: string = StringUtils.unquote(values[j]);
+              let validDates: boolean = true;
+
+              let years: string[] = (value.substring(5)).split(":");
+              let yearFrom: string = (Dates.isValidYear(years[0]) ? years[0] : null);
+              let yearTo: string = (Dates.isValidYear(years[1]) ? years[1] : null);
+              //console.log("checkSelectedRangeFilters: yearFrom: " + yearFrom + " - yearTo: "+yearTo);
+              if(yearFrom) {
+                filter.selectedFromValue = yearFrom;
+                filter.selectedFromAndToValues = yearFrom;
+              }
+              if(yearFrom && yearTo) {
+                filter.selectedFromAndToValues += "-";
+              }
+              if(yearTo) {
+                filter.selectedToValue = yearTo;
+                filter.selectedFromAndToValues += yearTo;
+              }
+              if(!yearFrom && !yearTo) {
+                validDates = false;
+              }
+
+              // if (value.length < 14) {
+              //   validDates = false;
+              //   console.log("not valid (length<14)");
+              // } else {
+              //   if (!Dates.isValidYear(value.substring(5, 9)) || !Dates.isValidYear(value.substring(10, 14))) {
+              //     validDates = false;
+              //     console.log("not valid years");
+              //   } else {
+              //     filter.selectedFromValue = value.substring(5, 9);
+              //     filter.selectedToValue = value.substring(10, 14);
+              //     console.log(filter);
+              //   }
+              // }
+            }
+          }
+        }
+      } else {
+        filter.selectedFromValue = null;
+        filter.selectedToValue = null;
+      }
+    }
+    return this.rangeFilters;
+  }
+
+  /*
   * For Funder filters - if funder selected
   */
   public filterFilterValues(filters: Filter[]) {
@@ -367,6 +445,16 @@
     return this.selectedFilters;
   }
 
+  public countSelectedRangeFilters(rangeFilters: RangeFilter[]) : number {
+    this.selectedRangeFilters = 0;
+    for(let filter of rangeFilters) {
+      if(filter.selectedFromValue || filter.selectedToValue) {
+        this.selectedRangeFilters++;
+      }
+    }
+    return this.selectedRangeFilters;
+  }
+
   private clearKeywords() {
     if (this.searchUtils.keyword.length > 0) {
       this.searchUtils.keyword = '';
@@ -374,7 +462,7 @@
     this.goTo(1);
   }
 
-  private removeFilter(value: Value, filter: Filter) {
+  public removeFilter(value: Value, filter: Filter) {
     filter.countSelectedValues--;
     this.selectedFilters--;
     if (value.selected == true) {
@@ -384,7 +472,12 @@
       this.removeValueFromQuickFilter();
     }
     this.goTo(1);
+  }
 
+  public removeRangeFilter(filter: RangeFilter) {
+    filter.selectedFromValue = null;
+    filter.selectedToValue = null;
+    this.goTo(1);
   }
 
   getSelectedValues(filter): any {
@@ -401,7 +494,7 @@
   }
 
   filterChanged($event) {
-    if (this.quickFilter) {
+    if (this.quickFilter && this.quickFilter.filter) {
       this.removeValueFromQuickFilter();
     }
     this.goTo(1);
@@ -645,12 +738,113 @@
   }
 
   /**
+   * Create Search API query based on the filters of refine fields
+   * @param URLparams
+   */
+  getSearchAPIQueryForRangeFields(URLparams) {
+    let allFqs = "";
+    for (let i = 0; i < this.rangeFields.length; i++) {
+      let filterId = this.rangeFields[i][0]+"-range-"+this.rangeFields[i][1];
+      let filterParam = this.searchFieldsHelper.getFieldParam(filterId, this.entityType);
+
+      if (URLparams[filterParam] != undefined) {
+        let values = (StringUtils.URIDecode(StringUtils.URIDecode(URLparams[filterParam]))).split(/,(?=(?:[^\"]*\"[^\"]*\")*[^\"]*$)/, -1);
+        var countvalues = 0;
+        var fq = "";
+        var fqFrom = "";
+        var fqTo = "";
+        let filterOp: string = this.searchFieldsHelper.getFieldOperator(filterId);
+
+        for (let value of values) {
+          if (this.fieldIdsMap[filterId].filterType == "range") {
+
+            let selectedFromValue;
+            let selectedToValue;
+
+            let years: string[] = (value.substring(5)).split(":");
+            let yearFrom: string = (Dates.isValidYear(years[0]) ? years[0] : null);
+            //(Number.isInteger(parseInt(years[0], 10)) ? years[0] : null);
+            let yearTo: string = (Dates.isValidYear(years[1]) ? years[1] : null);
+            //console.log("getSearchAPIQueryForRangeFields: yearFrom: " + yearFrom + " - yearTo: "+yearTo);
+            if(yearFrom) {
+              selectedFromValue = yearFrom;
+            }
+            if(yearTo) {
+              selectedToValue = yearTo;
+            }
+            if(yearFrom || yearTo) {
+
+            // if (value.length <= 14) {
+            //   if(Dates.isValidYear(value.substring(5, 9))) {
+            //     selectedFromValue = value.substring(5, 9);
+            //   }
+            //   if(Dates.isValidYear(value.substring(10, 14))) {
+            //     selectedToValue = value.substring(10, 14);
+            //   }
+
+              if(this.rangeFields[i][0] == this.rangeFields[i][1]) {
+                //console.log(selectedFromValue + " - "+selectedToValue);
+                if (selectedFromValue && selectedToValue) {
+                  let equalityOp = this.fieldIdsMap[filterId].equalityOperator;
+                  fq += (fq.length > 0 ? " " + filterOp + " " : "") + this.rangeFields[i][0] + equalityOp + "\"" + selectedFromValue + " " + selectedToValue + "\"";
+                  fq = "&fq=" + StringUtils.URIEncode(fq);
+                } else if (selectedFromValue) {
+                  let equalityOp = this.fieldIdsMap[this.rangeFields[i][0]].equalityOperator;
+                  if(equalityOp == " = ") {
+                    equalityOp = " >= ";
+                  }
+                  fq += (fq.length > 0 ? " " + filterOp + " " : "") + this.rangeFields[i][0] + equalityOp + "\"" + selectedFromValue + "\"";
+                  fq = "&fq=" + StringUtils.URIEncode(fq);
+                } else if (selectedToValue) {
+                  let equalityOp = this.fieldIdsMap[this.rangeFields[i][1]].equalityOperator;
+                  if(equalityOp == " = ") {
+                    equalityOp = " <= ";
+                  }
+                  fq += (fq.length > 0 ? " " + filterOp + " " : "") + this.rangeFields[i][0] + equalityOp + "\"" + selectedToValue + "\"";
+                  fq = "&fq=" + StringUtils.URIEncode(fq);
+                }
+              } else {
+                let equalityOpFrom = this.fieldIdsMap[this.rangeFields[i][0]].equalityOperator;
+                let equalityOpTo = this.fieldIdsMap[this.rangeFields[i][1]].equalityOperator;
+
+                if (selectedFromValue) {
+                  fq += (fq.length > 0 ? " " + filterOp + " " : "") + this.rangeFields[i][0] + equalityOpFrom + "\"" + selectedFromValue + "\"";
+                  // fq = "&fq=" + StringUtils.URIEncode(fq);
+                }
+                if (selectedToValue) {
+                  fq += (fq.length > 0 ? " " + filterOp + " " : "") + this.rangeFields[i][1] + equalityOpTo + "\"" + selectedToValue + "\"";
+                  // fq = "&fq=" + StringUtils.URIEncode(fq);
+                }
+                if(selectedFromValue || selectedToValue) {
+                  fq = "&fq=" + StringUtils.URIEncode(fq);
+                }
+              }
+            }
+          }
+        }
+        allFqs += fq +fqFrom + fqTo;
+      }
+    }
+
+    return allFqs;
+
+  }
+
+  /**
    * Sets parameterNames and parameterValues arrays
    * used in paging, advanced search link, Goto()
    * @param filters either query filters or filters defined by the URL parameters
+   * @param rangeFilters defined by the URL parameters
    * @param includePage
    */
-  buildPageURLParameters(filters: Filter[], includePage: boolean) {
+//<<<<<<< .mine
+  buildPageURLParameters(filters:Filter[], rangeFilters: RangeFilter[], includePage: boolean) {
+    //console.log("buildPageURLParameters");
+// ||||||| .r58066
+//   buildPageURLParameters(filters:Filter[],includePage: boolean) {
+// =======
+//   buildPageURLParameters(filters: Filter[], includePage: boolean) {
+// >>>>>>> .r58095
     this.parameterNames.splice(0, this.parameterNames.length);
     this.parameterValues.splice(0, this.parameterValues.length);
     var fields: { [key: string]: { values: string[], operators: string[] } } = {};
@@ -710,6 +904,26 @@
         }
       }
     }
+    for (let filter of rangeFilters) {
+      var filterLimits = "";
+      let yearFrom: string = (Dates.isValidYear(filter.selectedFromValue) ? filter.selectedFromValue : null);
+      let yearTo: string = (Dates.isValidYear(filter.selectedToValue) ? filter.selectedToValue : null);
+      if(yearFrom || yearTo) {
+        this.parameterNames.push(filter.filterId);
+        this.parameterValues.push("range" + (yearFrom ? yearFrom : "") + ":" + (yearTo ? yearTo : ""));
+      }
+      // if (filter.countSelectedValues > 0) {
+      //   for (let value of filter.values) {
+      //     if (value.selected == true) {
+      //       filterLimits += ((filterLimits.length == 0) ? '' : ',') + '"' + (value.id) + '"';
+      //     }
+      //   }
+      //   if (filterLimits.length > 0) {
+      //     this.parameterNames.push(filter.filterId);
+      //     this.parameterValues.push(filterLimits);
+      //   }
+      // }
+    }
     if (this.searchUtils.keyword.length > 0) {
       this.parameterNames.push("keyword");
       this.parameterValues.push(this.searchUtils.keyword);
@@ -785,7 +999,7 @@
     if (this.quickFilter) {
       if (this.entityType == "result" && (URLparams[this.quickFilter.filterId] == undefined) && (URLparams["qf"] == undefined || URLparams["qf"] == "true")) {
         let filter = new Filter();
-        filter.title = fields.getFieldName(this.quickFilter.filterId, "publication");
+        filter.title = fields.getFieldName(this.quickFilter.filterId, this.entityType);
         filter.filterId = this.quickFilter.filterId;
         filter.originalFilterId = this.quickFilter.filterId;
         filter.values = [];
@@ -824,6 +1038,74 @@
   }
 
   /**
+   * create range filters based on URL params
+   * @param URLparams
+   */
+  getRangeFiltersFromURL(URLparams) {
+    let fields = new SearchFields();
+    let filters: RangeFilter[] = [];
+    for (let i = 0; i < this.rangeFields.length; i++) {
+      let filterId = this.rangeFields[i][0]+"-range-"+this.rangeFields[i][1];
+      let filterParam = fields.getFieldParam(filterId, this.entityType);
+      //console.log("rangeFilter (from url): filterId - filterParam");
+      //console.log(filterId + " - "+ filterParam);
+      if (URLparams[filterParam] != undefined) {
+        let filter = new RangeFilter();
+        filter.title = fields.getFieldName(filterId, this.entityType);
+        filter.filterId = filterParam;
+        filter.originalFilterIdFrom = this.rangeFields[i][0];
+        filter.originalFilterIdTo = this.rangeFields[i][1];
+
+
+        let values = (decodeURIComponent(URLparams[filterParam])).split(/,(?=(?:[^\"]*\"[^\"]*\")*[^\"]*$)/, -1);
+        for (let j = 0; j < values.length; j++) {
+          if (this.fieldIdsMap[filterId].filterType == "range") {
+            let value: string = StringUtils.unquote(values[j]);
+            let validDates: boolean = true;
+            // if (value.length < 14) {
+            //   validDates = false;
+            // } else {
+            //   if (!Dates.isValidYear(value.substring(5, 9)) || !Dates.isValidYear(value.substring(10, 14))) {
+            //     validDates = false;
+            //   } else {
+            //     filter.selectedFromValue = value.substring(5, 9);
+            //     filter.selectedToValue = value.substring(10, 14);
+            //   }
+            // }
+            let years: string[] = (value.substring(5)).split(":");
+            let yearFrom: string = (Dates.isValidYear(years[0]) ? years[0] : null);
+            let yearTo: string = (Dates.isValidYear(years[1]) ? years[1] : null);
+            //console.log("getRangeFiltersFromURL: yearFrom: " + yearFrom + " - yearTo: "+yearTo);
+            if(yearFrom) {
+              filter.selectedFromValue = yearFrom;
+              //filter.selectedFromAndToValues = yearFrom;
+            }
+            /*if(yearFrom && yearTo) {
+              filter.selectedFromAndToValues += "-";
+            }*/
+            if(yearTo) {
+              filter.selectedToValue = yearTo;
+              //filter.selectedFromAndToValues += yearTo;
+            }
+            //console.log("filter.selectedFromAndToValues: "+filter.selectedFromAndToValues);
+            if(!yearFrom && !yearTo) {
+              validDates = false;
+            }
+
+          }
+        }
+        //console.log(filters);
+        filters.push(filter)
+      }
+    }
+    // console.log("Empty Filters");
+    // console.log(filters);
+    this.URLCreatedRangeFilters = filters;
+    // return filters;
+
+  }
+
+  /**
    * Checks if query has no results, display Filters from URL parameters
    * Mark checked  the selected filters
    * Count the checked
@@ -830,6 +1112,7 @@
    * @param filters
    */
   public prepareFiltersToShow(filters: Filter[]): Filter[] {
+    //console.log("prepareFiltersToShow");
     if (this.URLCreatedFilters.length > 0 && this.searchUtils.totalResults == 0) {
       this.showUnknownFilters = true;
       this.filters = this.URLCreatedFilters;
@@ -837,7 +1120,9 @@
       this.showUnknownFilters = false;
       this.filters = filters;
     }
-    this.buildPageURLParameters(this.URLCreatedFilters, true);
+    this.buildPageURLParameters(this.URLCreatedFilters, this.URLCreatedRangeFilters, true);
+    //this.checkSelectedRangeFilters(this.rangeFilters);
+
     this.checkSelectedFilters(this.filters);
     this.countSelectedFilters(this.filters);
     return this.filters;
@@ -844,6 +1129,18 @@
   }
 
   /**
+   * Mark checked  the selected range filters
+   */
+  public prepareRangeFiltersToShow() {
+    this.rangeFilters = RangeFilter.parse(this.rangeFields, this.entityType); // OK
+
+    //this.buildPageURLRangeParameters(this.rangeFilters, true);
+    this.checkSelectedRangeFilters(this.rangeFilters);
+    this.countSelectedRangeFilters(this.rangeFilters);
+    return this.rangeFilters;
+  }
+
+  /**
    * Used to set the variables and search page, and prepare it before the getResults query
    * @param fieldIds
    * @param selectedFields
@@ -852,15 +1149,40 @@
    * @param customFilter
    * @param params
    */
-  prepareSearchPage(fieldIds, selectedFields, refineFields, fieldIdsMap, customFilter, params, entityType, quickFilter=null) {
+//<<<<<<< .mine
+  prepareSearchPage(fieldIds, selectedFields, refineFields, rangeFields, fieldIdsMap, customFilter, params, entityType, quickFilter=null){
+    //console.log("prepareSearchPage");
     this.entityType = entityType;
     this.fieldIds = fieldIds;
     this.selectedFields = selectedFields;
     this.refineFields = refineFields;
+    this.rangeFields = rangeFields;
     this.fieldIdsMap = fieldIdsMap;
     this.customFilter = customFilter;
     this.quickFilter = quickFilter;
+    this.getRangeFiltersFromURL(params);
     this.getRefineFiltersFromURL(params);
     this.createAdvancedSearchSelectedFiltersFromURLParameters(params);
+// ||||||| .r58066
+//   prepareSearchPage(fieldIds, selectedFields, refineFields,fieldIdsMap, customFilter, params){
+//   this.fieldIds = fieldIds;
+//   this.selectedFields = selectedFields;
+//   this.refineFields = refineFields;
+//   this.fieldIdsMap = fieldIdsMap;
+//   this.customFilter = customFilter;
+//   this.getRefineFiltersFromURL(params);
+//   this.createAdvancedSearchSelectedFiltersFromURLParameters(params);
+// =======
+//   prepareSearchPage(fieldIds, selectedFields, refineFields, fieldIdsMap, customFilter, params, entityType, quickFilter=null) {
+//     this.entityType = entityType;
+//     this.fieldIds = fieldIds;
+//     this.selectedFields = selectedFields;
+//     this.refineFields = refineFields;
+//     this.fieldIdsMap = fieldIdsMap;
+//     this.customFilter = customFilter;
+//     this.quickFilter = quickFilter;
+//     this.getRefineFiltersFromURL(params);
+//     this.createAdvancedSearchSelectedFiltersFromURLParameters(params);
   }
+//>>>>>>> .r58095
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/dataProviders/entityRegistries.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/dataProviders/entityRegistries.component.ts	(revision 58104)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/dataProviders/entityRegistries.component.ts	(revision 58105)
@@ -184,7 +184,7 @@
         var value:Value = {name: value_names[i][j], id: value_original_ids[i][j], number:j, selected:false}
         values.push(value);
       }
-       var filter:Filter = {title: filter_names[i], filterId: filter_ids[i], originalFilterId:  filter_original_ids[i], values : values, countSelectedValues:0, "filterOperator": 'or', valueIsExact: true, valueIsUnique: false };
+       var filter:Filter = {title: filter_names[i], filterId: filter_ids[i], originalFilterId:  filter_original_ids[i], values : values, countSelectedValues:0, "filterOperator": 'or', valueIsExact: true, filterType: "checkbox" };
        filters.push(filter);
     }
     return filters;
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/dataProviders/journals.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/dataProviders/journals.component.ts	(revision 58104)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/dataProviders/journals.component.ts	(revision 58105)
@@ -188,7 +188,7 @@
         var value:Value = {name: value_names[i][j], id: value_original_ids[i][j], number:j, selected:false}
         values.push(value);
       }
-       var filter:Filter = {title: filter_names[i], filterId: filter_ids[i], originalFilterId:  filter_original_ids[i], values : values, countSelectedValues:0, "filterOperator": 'or', valueIsExact: true, valueIsUnique: false };
+       var filter:Filter = {title: filter_names[i], filterId: filter_ids[i], originalFilterId:  filter_original_ids[i], values : values, countSelectedValues:0, "filterOperator": 'or', valueIsExact: true, filterType: "checkbox" };
        filters.push(filter);
     }
     return filters;
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/dataProviders/compatibleDataProvidersTable.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/dataProviders/compatibleDataProvidersTable.component.ts	(revision 58104)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/dataProviders/compatibleDataProvidersTable.component.ts	(revision 58105)
@@ -250,7 +250,7 @@
         var value:Value = {name: value_names[i][j], id: value_original_ids[i][j], number:j, selected:false}
         values.push(value);
       }
-       var filter:Filter = {title: filter_names[i], filterId: filter_ids[i], originalFilterId:  filter_original_ids[i], values : values, countSelectedValues:0, "filterOperator": 'or', valueIsExact: filter_valueIsExact[i], valueIsUnique: false };
+       var filter:Filter = {title: filter_names[i], filterId: filter_ids[i], originalFilterId:  filter_original_ids[i], values : values, countSelectedValues:0, "filterOperator": 'or', valueIsExact: filter_valueIsExact[i], filterType: "checkbox" };
        filters.push(filter);
     }
     return filters;
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/dataProviders/entityRegistriesTable.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/dataProviders/entityRegistriesTable.component.ts	(revision 58104)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/dataProviders/entityRegistriesTable.component.ts	(revision 58105)
@@ -255,7 +255,7 @@
         var value:Value = {name: value_names[i][j], id: value_original_ids[i][j], number:j, selected:false}
         values.push(value);
       }
-       var filter:Filter = {title: filter_names[i], filterId: filter_ids[i], originalFilterId:  filter_original_ids[i], values : values, countSelectedValues:0, "filterOperator": 'or', valueIsExact: filter_valueIsExact[i], valueIsUnique: false };
+       var filter:Filter = {title: filter_names[i], filterId: filter_ids[i], originalFilterId:  filter_original_ids[i], values : values, countSelectedValues:0, "filterOperator": 'or', valueIsExact: filter_valueIsExact[i], filterType: "checkbox" };
        filters.push(filter);
     }
     return filters;
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/dataProviders/journalsTable.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/dataProviders/journalsTable.component.ts	(revision 58104)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/dataProviders/journalsTable.component.ts	(revision 58105)
@@ -210,7 +210,7 @@
         var value:Value = {name: value_names[i][j], id: value_original_ids[i][j], number:j, selected:false}
         values.push(value);
       }
-       var filter:Filter = {title: filter_names[i], filterId: filter_ids[i], originalFilterId:  filter_original_ids[i], values : values, countSelectedValues:0, "filterOperator": 'or', valueIsExact: true, valueIsUnique: false };
+       var filter:Filter = {title: filter_names[i], filterId: filter_ids[i], originalFilterId:  filter_original_ids[i], values : values, countSelectedValues:0, "filterOperator": 'or', valueIsExact: true, filterType: "checkbox" };
        filters.push(filter);
     }
     return filters;
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/dataProviders/compatibleDataProviders.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/dataProviders/compatibleDataProviders.component.ts	(revision 58104)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/dataProviders/compatibleDataProviders.component.ts	(revision 58105)
@@ -194,7 +194,7 @@
         var value:Value = {name: value_names[i][j], id: value_original_ids[i][j], number:j, selected:false}
         values.push(value);
       }
-       var filter:Filter = {title: filter_names[i], filterId: filter_ids[i], originalFilterId:  filter_original_ids[i], values : values, countSelectedValues:0, "filterOperator": 'or', valueIsExact: true, valueIsUnique: false };
+       var filter:Filter = {title: filter_names[i], filterId: filter_ids[i], originalFilterId:  filter_original_ids[i], values : values, countSelectedValues:0, "filterOperator": 'or', valueIsExact: true, filterType: "checkbox" };
        filters.push(filter);
     }
     return filters;
